> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://support.atomicwork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://support.atomicwork.com/_mcp/server.

# Get previous actions with output fields

GET https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/request-automations/{request_entity_type}/previous-actions-with-output-fields

Reference: https://support.atomicwork.com/api-reference/atomicwork-public-api/workflows/getapi-v-1-workspaces-workspace-id-request-automations-request-entity-type-previous-actions-with-output-fields

## Authentication

- `X-Api-Key` header (required) — API Key authentication via header

## Request

### Path parameters

- `workspaceId` (long, required) — Workspace ID (numeric). Find yours under Settings → Workspace.
- `request_entity_type` (enum, required) — Automation entity type (see allowed values in the enum schema).
  - Allowed values: `QUESTION_REQUEST`, `SERVICE_REQUEST`, `INCIDENT_REQUEST`, `REQUEST`, `CHANGE`, `NOTIFICATIONS`, `CUSTOM_OBJECT`, `ASSET`, `EXTERNAL_WEBHOOK`, `USER`, `STANDALONE`

### Query parameters

- `automation_id` (string, optional)
- `current_action_id` (string, optional)
- `filter_entity` (enum, required)
  - Allowed values: `REQUEST`, `USER`, `SERVICE_ITEM`, `ASSET`, `CHANGE`, `CHANGE_TEMPLATE`, `CHANGE_TEMPLATE_OUTPUT`, `CHANGE_TEMPLATE_ACTION`, `REQUEST_EVENT`, `CHANGE_EVENT`, `IDENTITY_GRANT`, `IDENTITY_APP`, `CUSTOM_OBJECT`, `CUSTOM_OBJECT_EVENT`, `AUDIT_LOG`, `RECOMMENDED_POLICIES`, `MCP_STORE`, `MCP_TOOL_POLICY`, `CODE_SCRIPT`, `EXTERNAL_WEBHOOK`, `STANDALONE`, `OBJECT_TYPE`, `AI_AGENT`, `AI_AGENT_SKILL`

### Headers

- `X-Workspace-Id` (string, optional)

## Response

### 200

Successful response

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://{tenant}.atomicwork.com/api/v1/workspaces/1/request-automations/QUESTION_REQUEST/previous-actions-with-output-fields"

querystring = {"filter_entity":"REQUEST"}

headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant}.atomicwork.com/api/v1/workspaces/1/request-automations/QUESTION_REQUEST/previous-actions-with-output-fields?filter_entity=REQUEST';
const options = {
  method: 'GET',
  headers: {'X-Workspace-Id': '{{workspace_id}}', 'X-Api-Key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/workspaces/1/request-automations/QUESTION_REQUEST/previous-actions-with-output-fields?filter_entity=REQUEST"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/workspaces/1/request-automations/QUESTION_REQUEST/previous-actions-with-output-fields?filter_entity=REQUEST")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://{tenant}.atomicwork.com/api/v1/workspaces/1/request-automations/QUESTION_REQUEST/previous-actions-with-output-fields?filter_entity=REQUEST")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://{tenant}.atomicwork.com/api/v1/workspaces/1/request-automations/QUESTION_REQUEST/previous-actions-with-output-fields?filter_entity=REQUEST', [
  'headers' => [
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/workspaces/1/request-automations/QUESTION_REQUEST/previous-actions-with-output-fields?filter_entity=REQUEST");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/workspaces/1/request-automations/QUESTION_REQUEST/previous-actions-with-output-fields?filter_entity=REQUEST")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```